Token payroll
Post Deductions
Posts a token payroll's deductions to the org's Workday, ADP or UKG integration and flags settlements as posted.
POSThttps://api.toku.com/stablecoin-payroll/post-deductions
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/post-deductions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tokenPayrollID": "string",
"repostReason": "string"
}'200 response
{
"success": true,
"reasonCode": "string",
"message": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
tokenPayrollIDstringrequiredrepostReasonstringAllowed: at most 500 characters
Response
200Successful response
successbooleanrequiredreasonCodestringmessagestring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits